%global momorel 1
%define __libtoolize :

Summary: A library of handy utility functions.
Name: glib
Version: 2.6.3
Release: %{momorel}m
Group: System Environment/Libraries
License: LGPL
URL: http://www.gtk.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.6/%{name}-%{version}.tar.bz2 8f69ad5387197114b356efc64ce88d77

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk-doc >= 1.2
BuildPrereq: pkgconfig >= 0.15.0
BuildPrereq: glibc-devel >= 2.3.2

Obsoletes: glib2

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: glibc-devel
Obsoletes: glib2-devel

%description devel
Static libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries.  GLIB includes generally
useful data structures.
#'

%prep
%setup -q

%build
%configure --enable-static
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

# no translations
# %find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libglib*.so.*
%{_libdir}/libgthread*.so.*
%{_libdir}/libgmodule*.so.*
%{_libdir}/libgobject*.so.*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*a
%{_libdir}/lib*.so
%{_libdir}/glib-2.0
%{_datadir}/glib-2.0
%{_datadir}/aclocal/*
%{_mandir}/man1/*.1*
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/glib-2.0

%changeLog
* Sat Mar 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.3-1m)
- version 2.6.3 (bugfix release)

* Mon Jan 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1

* Tue Nov 03 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.7-2m)
- add --enable-static at configure

* Mon Oct 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.7-1m)
- version 2.4.7

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.6-1m)
- version 2.4.6

* Thu Jun 17 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.2-1m)
- version 2.4.2

* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.0-2m)
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.0-1m)
- version 2.4.0
- GNOME 2.6 Desktop

* Fri Mar 19 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-3m)
- revised spec for enabling rpm 4.2.

* Mon Dec  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- rebuild against perl-5.8.2-2m

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.3-1m)
- pretty spec file.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.2.3-1m)
- version 2.2.3

* Tue Jun 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.2-1m)
- version 2.2.2

* Wed Mar 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-2m)
- fix URL

* Tue Feb 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-1m)
- version 2.2.1

* Fri Jan 17 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.0-2m)
- build static library for initscript-7.03

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.0-1m)
- version 2.2.0

* Sun Dec 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-1m)
- version 2.1.4

* Wed Dec 04 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.3-1m)
- version 2.1.3

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.7-1m)
- version 2.0.7

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-1m)
- version 2.0.6

* Sun Jun 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.4-2k)
- version 2.0.4

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.3-2k)
- version 2.0.3

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.1-2k)
- version 2.0.1

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0-2k)
- version 2.0.0

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0.rc1-2k)
- version 2.0.0.rc1
- change name to glib

* Mon Feb 25 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.15-2k)
- version 1.3.15

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.14-2k)
- version 1.3.14

* Wed Jan 30 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-2k)
- version 1.3.13

* Tue Dec 25 2001 Shingo Akagaki <dora@kondara.org>
- (1.3.11-2k)
- port from Jirai

* Fri Dec 22 2001 Motonobu Ichimura <famao@kondara.org>
- (1.3.11-3k)
- up to 1.3.11

* Thu Sep 27 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (1.3.9-0.20010927k)
- gnome cvs version

* Wed Sep 12 2001 Motonobu Ichimura <famao@kondara.org>
- up to 1.3.7

* Mon Jul 16 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.3.6

* Tue Mar 20 2001 Shingo Akagaki <dora@kondara.org>
- version 1.3.4
- fork glib2 from glib spec
